<!DOCTYPE html>
<html lang="en">
 <head>
  <meta charset="UTF-8">
  <title>Dashboard for /var/www/html/app/Http</title>
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <link href="../_css/bootstrap.min.css?v=9.2.26" rel="stylesheet" type="text/css">
  <link href="../_css/nv.d3.min.css?v=9.2.26" rel="stylesheet" type="text/css">
  <link href="../_css/style.css?v=9.2.26" rel="stylesheet" type="text/css">
  <link href="../_css/custom.css" rel="stylesheet" type="text/css">
 </head>
 <body>
  <header>
   <div class="container-fluid">
    <div class="row">
     <div class="col-md-12">
      <nav aria-label="breadcrumb">
       <ol class="breadcrumb">
         <li class="breadcrumb-item"><a href="../index.html">/var/www/html/app</a></li>
         <li class="breadcrumb-item"><a href="index.html">Http</a></li>
         <li class="breadcrumb-item active">(Dashboard)</li>

       </ol>
      </nav>
     </div>
    </div>
   </div>
  </header>
  <div class="container-fluid">
   <div class="row">
    <div class="col-md-12">
     <h2>Classes</h2>
    </div>
   </div>
   <div class="row">
    <div class="col-md-6">
     <h3>Coverage Distribution</h3>
     <div id="classCoverageDistribution" style="height: 300px;">
       <svg></svg>
     </div>
    </div>
    <div class="col-md-6">
     <h3>Complexity</h3>
     <div id="classComplexity" style="height: 300px;">
       <svg></svg>
     </div>
    </div>
   </div>
   <div class="row">
    <div class="col-md-6">
     <h3>Insufficient Coverage</h3>
     <div class="scrollbox">
      <table class="table">
       <thead>
        <tr>
         <th>Class</th>
         <th class="text-right">Coverage</th>
        </tr>
       </thead>
       <tbody>
       <tr><td><a href="Controllers/HomeController.php.html#16">App\Http\Controllers\HomeController</a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Controllers/Photo2Controller.php.html#8">App\Http\Controllers\Photo2Controller</a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Controllers/PhotoController.php.html#7">App\Http\Controllers\PhotoController</a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Controllers/ProductController.php.html#13">App\Http\Controllers\ProductController</a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Middleware/Authenticate.php.html#7">App\Http\Middleware\Authenticate</a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Middleware/RedirectIfAuthenticated.php.html#10">App\Http\Middleware\RedirectIfAuthenticated</a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Middleware/TrustHosts.php.html#7">App\Http\Middleware\TrustHosts</a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Requests/PostFormRequest.php.html#7">App\Http\Requests\PostFormRequest</a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Requests/StoreProductRequest.php.html#7">App\Http\Requests\StoreProductRequest</a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Controllers/CategoryController.php.html#16">App\Http\Controllers\CategoryController</a></td><td class="text-right">30%</td></tr>

       </tbody>
      </table>
     </div>
    </div>
    <div class="col-md-6">
     <h3>Project Risks</h3>
     <div class="scrollbox">
      <table class="table">
       <thead>
        <tr>
         <th>Class</th>
         <th class="text-right"><abbr title="Change Risk Anti-Patterns (CRAP) Index">CRAP</abbr></th>
        </tr>
       </thead>
       <tbody>
       <tr><td><a href="Controllers/ProductController.php.html#13">App\Http\Controllers\ProductController</a></td><td class="text-right">90</td></tr>
       <tr><td><a href="Controllers/HomeController.php.html#16">App\Http\Controllers\HomeController</a></td><td class="text-right">72</td></tr>
       <tr><td><a href="Controllers/CategoryController.php.html#16">App\Http\Controllers\CategoryController</a></td><td class="text-right">23</td></tr>
       <tr><td><a href="Middleware/RedirectIfAuthenticated.php.html#10">App\Http\Middleware\RedirectIfAuthenticated</a></td><td class="text-right">20</td></tr>
       <tr><td><a href="Middleware/Authenticate.php.html#7">App\Http\Middleware\Authenticate</a></td><td class="text-right">6</td></tr>

       </tbody>
      </table>
     </div>
    </div>
   </div>
   <div class="row">
    <div class="col-md-12">
     <h2>Methods</h2>
    </div>
   </div>
   <div class="row">
    <div class="col-md-6">
     <h3>Coverage Distribution</h3>
     <div id="methodCoverageDistribution" style="height: 300px;">
       <svg></svg>
     </div>
    </div>
    <div class="col-md-6">
     <h3>Complexity</h3>
     <div id="methodComplexity" style="height: 300px;">
       <svg></svg>
     </div>
    </div>
   </div>
   <div class="row">
    <div class="col-md-6">
     <h3>Insufficient Coverage</h3>
     <div class="scrollbox">
      <table class="table">
       <thead>
        <tr>
         <th>Method</th>
         <th class="text-right">Coverage</th>
        </tr>
       </thead>
       <tbody>
       <tr><td><a href="Controllers/CategoryController.php.html#51"><abbr title="App\Http\Controllers\CategoryController::destroy">destroy</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Controllers/CategoryController.php.html#61"><abbr title="App\Http\Controllers\CategoryController::show">show</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Controllers/CategoryController.php.html#66"><abbr title="App\Http\Controllers\CategoryController::edit">edit</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Controllers/CategoryController.php.html#80"><abbr title="App\Http\Controllers\CategoryController::update">update</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Controllers/HomeController.php.html#23"><abbr title="App\Http\Controllers\HomeController::index">index</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Controllers/HomeController.php.html#60"><abbr title="App\Http\Controllers\HomeController::create">create</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Controllers/HomeController.php.html#71"><abbr title="App\Http\Controllers\HomeController::store">store</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Controllers/HomeController.php.html#87"><abbr title="App\Http\Controllers\HomeController::show">show</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Controllers/HomeController.php.html#98"><abbr title="App\Http\Controllers\HomeController::edit">edit</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Controllers/HomeController.php.html#110"><abbr title="App\Http\Controllers\HomeController::update">update</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Controllers/HomeController.php.html#121"><abbr title="App\Http\Controllers\HomeController::destroy">destroy</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Controllers/Photo2Controller.php.html#15"><abbr title="App\Http\Controllers\Photo2Controller::index">index</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Controllers/Photo2Controller.php.html#25"><abbr title="App\Http\Controllers\Photo2Controller::create">create</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Controllers/Photo2Controller.php.html#36"><abbr title="App\Http\Controllers\Photo2Controller::store">store</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Controllers/Photo2Controller.php.html#47"><abbr title="App\Http\Controllers\Photo2Controller::show">show</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Controllers/Photo2Controller.php.html#58"><abbr title="App\Http\Controllers\Photo2Controller::edit">edit</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Controllers/Photo2Controller.php.html#70"><abbr title="App\Http\Controllers\Photo2Controller::update">update</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Controllers/Photo2Controller.php.html#81"><abbr title="App\Http\Controllers\Photo2Controller::destroy">destroy</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Controllers/PhotoController.php.html#14"><abbr title="App\Http\Controllers\PhotoController::index">index</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Controllers/PhotoController.php.html#24"><abbr title="App\Http\Controllers\PhotoController::create">create</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Controllers/PhotoController.php.html#35"><abbr title="App\Http\Controllers\PhotoController::store">store</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Controllers/PhotoController.php.html#46"><abbr title="App\Http\Controllers\PhotoController::show">show</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Controllers/PhotoController.php.html#57"><abbr title="App\Http\Controllers\PhotoController::edit">edit</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Controllers/PhotoController.php.html#69"><abbr title="App\Http\Controllers\PhotoController::update">update</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Controllers/PhotoController.php.html#80"><abbr title="App\Http\Controllers\PhotoController::destroy">destroy</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Controllers/ProductController.php.html#19"><abbr title="App\Http\Controllers\ProductController::index">index</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Controllers/ProductController.php.html#26"><abbr title="App\Http\Controllers\ProductController::addCart">addCart</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Controllers/ProductController.php.html#49"><abbr title="App\Http\Controllers\ProductController::create">create</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Controllers/ProductController.php.html#58"><abbr title="App\Http\Controllers\ProductController::store">store</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Controllers/ProductController.php.html#77"><abbr title="App\Http\Controllers\ProductController::show">show</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Controllers/ProductController.php.html#88"><abbr title="App\Http\Controllers\ProductController::edit">edit</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Controllers/ProductController.php.html#100"><abbr title="App\Http\Controllers\ProductController::update">update</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Controllers/ProductController.php.html#111"><abbr title="App\Http\Controllers\ProductController::destroy">destroy</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Middleware/Authenticate.php.html#15"><abbr title="App\Http\Middleware\Authenticate::redirectTo">redirectTo</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Middleware/RedirectIfAuthenticated.php.html#20"><abbr title="App\Http\Middleware\RedirectIfAuthenticated::handle">handle</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Middleware/TrustHosts.php.html#14"><abbr title="App\Http\Middleware\TrustHosts::hosts">hosts</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Requests/PostFormRequest.php.html#15"><abbr title="App\Http\Requests\PostFormRequest::authorize">authorize</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Requests/PostFormRequest.php.html#25"><abbr title="App\Http\Requests\PostFormRequest::rules">rules</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Requests/StoreProductRequest.php.html#14"><abbr title="App\Http\Requests\StoreProductRequest::authorize">authorize</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Requests/StoreProductRequest.php.html#24"><abbr title="App\Http\Requests\StoreProductRequest::rules">rules</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Requests/StoreProductRequest.php.html#32"><abbr title="App\Http\Requests\StoreProductRequest::mess">mess</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Controllers/CategoryController.php.html#32"><abbr title="App\Http\Controllers\CategoryController::store">store</abbr></a></td><td class="text-right">60%</td></tr>

       </tbody>
      </table>
     </div>
    </div>
    <div class="col-md-6">
     <h3>Project Risks</h3>
     <div class="scrollbox">
      <table class="table">
       <thead>
        <tr>
         <th>Method</th>
         <th class="text-right"><abbr title="Change Risk Anti-Patterns (CRAP) Index">CRAP</abbr></th>
        </tr>
       </thead>
       <tbody>
       <tr><td><a href="Middleware/RedirectIfAuthenticated.php.html#20"><abbr title="App\Http\Middleware\RedirectIfAuthenticated::handle">handle</abbr></a></td><td class="text-right">20</td></tr>
       <tr><td><a href="Controllers/HomeController.php.html#71"><abbr title="App\Http\Controllers\HomeController::store">store</abbr></a></td><td class="text-right">6</td></tr>
       <tr><td><a href="Controllers/ProductController.php.html#58"><abbr title="App\Http\Controllers\ProductController::store">store</abbr></a></td><td class="text-right">6</td></tr>
       <tr><td><a href="Middleware/Authenticate.php.html#15"><abbr title="App\Http\Middleware\Authenticate::redirectTo">redirectTo</abbr></a></td><td class="text-right">6</td></tr>
       <tr><td><a href="Controllers/CategoryController.php.html#32"><abbr title="App\Http\Controllers\CategoryController::store">store</abbr></a></td><td class="text-right">2</td></tr>

       </tbody>
      </table>
     </div>
    </div>
   </div>
   <footer>
    <hr/>
    <p>
     <small>Generated by <a href="https://github.com/sebastianbergmann/php-code-coverage" target="_top">php-code-coverage 9.2.26</a> using <a href="https://secure.php.net/" target="_top">PHP 8.0.28</a> and <a href="https://phpunit.de/">PHPUnit 9.6.8</a> at Mon Aug 7 19:08:16 UTC 2023.</small>
    </p>
   </footer>
  </div>
  <script src="../_js/jquery.min.js?v=9.2.26" type="text/javascript"></script>
  <script src="../_js/d3.min.js?v=9.2.26" type="text/javascript"></script>
  <script src="../_js/nv.d3.min.js?v=9.2.26" type="text/javascript"></script>
  <script type="text/javascript">
$(document).ready(function() {
  nv.addGraph(function() {
    var chart = nv.models.multiBarChart();
    chart.tooltips(false)
      .showControls(false)
      .showLegend(false)
      .reduceXTicks(false)
      .staggerLabels(true)
      .yAxis.tickFormat(d3.format('d'));

    d3.select('#classCoverageDistribution svg')
      .datum(getCoverageDistributionData([9,0,0,0,1,0,0,0,0,0,0,10], "Class Coverage"))
      .transition().duration(500).call(chart);

    nv.utils.windowResize(chart.update);

    return chart;
  });

  nv.addGraph(function() {
    var chart = nv.models.multiBarChart();
    chart.tooltips(false)
      .showControls(false)
      .showLegend(false)
      .reduceXTicks(false)
      .staggerLabels(true)
      .yAxis.tickFormat(d3.format('d'));

    d3.select('#methodCoverageDistribution svg')
      .datum(getCoverageDistributionData([41,0,0,0,0,0,0,1,0,0,0,3], "Method Coverage"))
      .transition().duration(500).call(chart);

    nv.utils.windowResize(chart.update);

    return chart;
  });

  function getCoverageDistributionData(data, label) {
    var labels = [
      '0%',
      '0-10%',
      '10-20%',
      '20-30%',
      '30-40%',
      '40-50%',
      '50-60%',
      '60-70%',
      '70-80%',
      '80-90%',
      '90-100%',
      '100%'
    ];
    var values = [];
    $.each(labels, function(key) {
      values.push({x: labels[key], y: data[key]});
    });

    return [
      {
        key: label,
        values: values,
        color: "#4572A7"
      }
    ];
  }
  nv.addGraph(function() {
    var chart = nv.models.scatterChart()
      .showDistX(true)
      .showDistY(true)
      .showLegend(false)
      .forceX([0, 100]);
    chart.tooltipContent(function(graph) {
      return '<p>' + graph.point.class + '</p>';
    });

    chart.xAxis.axisLabel('Code Coverage (in percent)');
    chart.yAxis.axisLabel('Cyclomatic Complexity');

    d3.select('#classComplexity svg')
      .datum(getComplexityData([[30.76923076923077,7,"<a href=\"Controllers\/CategoryController.php.html#16\">App\\Http\\Controllers\\CategoryController<\/a>"],[100,0,"<a href=\"Controllers\/Controller.php.html#10\">App\\Http\\Controllers\\Controller<\/a>"],[100,0,"<a href=\"Controllers\/FlightController.php.html#7\">App\\Http\\Controllers\\FlightController<\/a>"],[0,8,"<a href=\"Controllers\/HomeController.php.html#16\">App\\Http\\Controllers\\HomeController<\/a>"],[100,0,"<a href=\"Controllers\/OrderController.php.html#7\">App\\Http\\Controllers\\OrderController<\/a>"],[0,7,"<a href=\"Controllers\/Photo2Controller.php.html#8\">App\\Http\\Controllers\\Photo2Controller<\/a>"],[0,7,"<a href=\"Controllers\/PhotoController.php.html#7\">App\\Http\\Controllers\\PhotoController<\/a>"],[0,9,"<a href=\"Controllers\/ProductController.php.html#13\">App\\Http\\Controllers\\ProductController<\/a>"],[100,0,"<a href=\"Kernel.php.html#7\">App\\Http\\Kernel<\/a>"],[0,2,"<a href=\"Middleware\/Authenticate.php.html#7\">App\\Http\\Middleware\\Authenticate<\/a>"],[100,0,"<a href=\"Middleware\/EncryptCookies.php.html#7\">App\\Http\\Middleware\\EncryptCookies<\/a>"],[100,0,"<a href=\"Middleware\/PreventRequestsDuringMaintenance.php.html#7\">App\\Http\\Middleware\\PreventRequestsDuringMaintenance<\/a>"],[0,4,"<a href=\"Middleware\/RedirectIfAuthenticated.php.html#10\">App\\Http\\Middleware\\RedirectIfAuthenticated<\/a>"],[100,0,"<a href=\"Middleware\/TrimStrings.php.html#7\">App\\Http\\Middleware\\TrimStrings<\/a>"],[0,1,"<a href=\"Middleware\/TrustHosts.php.html#7\">App\\Http\\Middleware\\TrustHosts<\/a>"],[100,0,"<a href=\"Middleware\/TrustProxies.php.html#8\">App\\Http\\Middleware\\TrustProxies<\/a>"],[100,0,"<a href=\"Middleware\/VerifyCsrfToken.php.html#7\">App\\Http\\Middleware\\VerifyCsrfToken<\/a>"],[0,2,"<a href=\"Requests\/PostFormRequest.php.html#7\">App\\Http\\Requests\\PostFormRequest<\/a>"],[100,2,"<a href=\"Requests\/StoreCategoryRequest.php.html#7\">App\\Http\\Requests\\StoreCategoryRequest<\/a>"],[0,3,"<a href=\"Requests\/StoreProductRequest.php.html#7\">App\\Http\\Requests\\StoreProductRequest<\/a>"]], 'Class Complexity'))
      .transition()
      .duration(500)
      .call(chart);

    nv.utils.windowResize(chart.update);

    return chart;
  });

  nv.addGraph(function() {
    var chart = nv.models.scatterChart()
      .showDistX(true)
      .showDistY(true)
      .showLegend(false)
      .forceX([0, 100]);
    chart.tooltipContent(function(graph) {
      return '<p>' + graph.point.class + '</p>';
    });

    chart.xAxis.axisLabel('Code Coverage (in percent)');
    chart.yAxis.axisLabel('Method Complexity');

    d3.select('#methodComplexity svg')
      .datum(getComplexityData([[100,1,"<a href=\"Controllers\/CategoryController.php.html#22\">App\\Http\\Controllers\\CategoryController::index<\/a>"],[60,2,"<a href=\"Controllers\/CategoryController.php.html#32\">App\\Http\\Controllers\\CategoryController::store<\/a>"],[0,1,"<a href=\"Controllers\/CategoryController.php.html#51\">App\\Http\\Controllers\\CategoryController::destroy<\/a>"],[0,1,"<a href=\"Controllers\/CategoryController.php.html#61\">App\\Http\\Controllers\\CategoryController::show<\/a>"],[0,1,"<a href=\"Controllers\/CategoryController.php.html#66\">App\\Http\\Controllers\\CategoryController::edit<\/a>"],[0,1,"<a href=\"Controllers\/CategoryController.php.html#80\">App\\Http\\Controllers\\CategoryController::update<\/a>"],[0,1,"<a href=\"Controllers\/HomeController.php.html#23\">App\\Http\\Controllers\\HomeController::index<\/a>"],[0,1,"<a href=\"Controllers\/HomeController.php.html#60\">App\\Http\\Controllers\\HomeController::create<\/a>"],[0,2,"<a href=\"Controllers\/HomeController.php.html#71\">App\\Http\\Controllers\\HomeController::store<\/a>"],[0,1,"<a href=\"Controllers\/HomeController.php.html#87\">App\\Http\\Controllers\\HomeController::show<\/a>"],[0,1,"<a href=\"Controllers\/HomeController.php.html#98\">App\\Http\\Controllers\\HomeController::edit<\/a>"],[0,1,"<a href=\"Controllers\/HomeController.php.html#110\">App\\Http\\Controllers\\HomeController::update<\/a>"],[0,1,"<a href=\"Controllers\/HomeController.php.html#121\">App\\Http\\Controllers\\HomeController::destroy<\/a>"],[0,1,"<a href=\"Controllers\/Photo2Controller.php.html#15\">App\\Http\\Controllers\\Photo2Controller::index<\/a>"],[0,1,"<a href=\"Controllers\/Photo2Controller.php.html#25\">App\\Http\\Controllers\\Photo2Controller::create<\/a>"],[0,1,"<a href=\"Controllers\/Photo2Controller.php.html#36\">App\\Http\\Controllers\\Photo2Controller::store<\/a>"],[0,1,"<a href=\"Controllers\/Photo2Controller.php.html#47\">App\\Http\\Controllers\\Photo2Controller::show<\/a>"],[0,1,"<a href=\"Controllers\/Photo2Controller.php.html#58\">App\\Http\\Controllers\\Photo2Controller::edit<\/a>"],[0,1,"<a href=\"Controllers\/Photo2Controller.php.html#70\">App\\Http\\Controllers\\Photo2Controller::update<\/a>"],[0,1,"<a href=\"Controllers\/Photo2Controller.php.html#81\">App\\Http\\Controllers\\Photo2Controller::destroy<\/a>"],[0,1,"<a href=\"Controllers\/PhotoController.php.html#14\">App\\Http\\Controllers\\PhotoController::index<\/a>"],[0,1,"<a href=\"Controllers\/PhotoController.php.html#24\">App\\Http\\Controllers\\PhotoController::create<\/a>"],[0,1,"<a href=\"Controllers\/PhotoController.php.html#35\">App\\Http\\Controllers\\PhotoController::store<\/a>"],[0,1,"<a href=\"Controllers\/PhotoController.php.html#46\">App\\Http\\Controllers\\PhotoController::show<\/a>"],[0,1,"<a href=\"Controllers\/PhotoController.php.html#57\">App\\Http\\Controllers\\PhotoController::edit<\/a>"],[0,1,"<a href=\"Controllers\/PhotoController.php.html#69\">App\\Http\\Controllers\\PhotoController::update<\/a>"],[0,1,"<a href=\"Controllers\/PhotoController.php.html#80\">App\\Http\\Controllers\\PhotoController::destroy<\/a>"],[0,1,"<a href=\"Controllers\/ProductController.php.html#19\">App\\Http\\Controllers\\ProductController::index<\/a>"],[0,1,"<a href=\"Controllers\/ProductController.php.html#26\">App\\Http\\Controllers\\ProductController::addCart<\/a>"],[0,1,"<a href=\"Controllers\/ProductController.php.html#49\">App\\Http\\Controllers\\ProductController::create<\/a>"],[0,2,"<a href=\"Controllers\/ProductController.php.html#58\">App\\Http\\Controllers\\ProductController::store<\/a>"],[0,1,"<a href=\"Controllers\/ProductController.php.html#77\">App\\Http\\Controllers\\ProductController::show<\/a>"],[0,1,"<a href=\"Controllers\/ProductController.php.html#88\">App\\Http\\Controllers\\ProductController::edit<\/a>"],[0,1,"<a href=\"Controllers\/ProductController.php.html#100\">App\\Http\\Controllers\\ProductController::update<\/a>"],[0,1,"<a href=\"Controllers\/ProductController.php.html#111\">App\\Http\\Controllers\\ProductController::destroy<\/a>"],[0,2,"<a href=\"Middleware\/Authenticate.php.html#15\">App\\Http\\Middleware\\Authenticate::redirectTo<\/a>"],[0,4,"<a href=\"Middleware\/RedirectIfAuthenticated.php.html#20\">App\\Http\\Middleware\\RedirectIfAuthenticated::handle<\/a>"],[0,1,"<a href=\"Middleware\/TrustHosts.php.html#14\">App\\Http\\Middleware\\TrustHosts::hosts<\/a>"],[0,1,"<a href=\"Requests\/PostFormRequest.php.html#15\">App\\Http\\Requests\\PostFormRequest::authorize<\/a>"],[0,1,"<a href=\"Requests\/PostFormRequest.php.html#25\">App\\Http\\Requests\\PostFormRequest::rules<\/a>"],[100,1,"<a href=\"Requests\/StoreCategoryRequest.php.html#14\">App\\Http\\Requests\\StoreCategoryRequest::authorize<\/a>"],[100,1,"<a href=\"Requests\/StoreCategoryRequest.php.html#24\">App\\Http\\Requests\\StoreCategoryRequest::rules<\/a>"],[0,1,"<a href=\"Requests\/StoreProductRequest.php.html#14\">App\\Http\\Requests\\StoreProductRequest::authorize<\/a>"],[0,1,"<a href=\"Requests\/StoreProductRequest.php.html#24\">App\\Http\\Requests\\StoreProductRequest::rules<\/a>"],[0,1,"<a href=\"Requests\/StoreProductRequest.php.html#32\">App\\Http\\Requests\\StoreProductRequest::mess<\/a>"]], 'Method Complexity'))
      .transition()
      .duration(500)
      .call(chart);

    nv.utils.windowResize(chart.update);

    return chart;
  });

  function getComplexityData(data, label) {
    var values = [];
    $.each(data, function(key) {
      var value = Math.round(data[key][0]*100) / 100;
      values.push({
        x: value,
        y: data[key][1],
        class: data[key][2],
        size: 0.05,
        shape: 'diamond'
      });
    });

    return [
      {
        key: label,
        values: values,
        color: "#4572A7"
      }
    ];
  }
});
  </script>
 </body>
</html>
